cannot get domains to allow multiple php versions

dmacleo

Verified User
Joined
Jun 21, 2012
Messages
650
tried centos 7 and 8 no matter what cannot get CB to allow multiple php versions. never had this issue before. on a vps I just play on so nothing critical just banging my head against wall trying to see why this is happening.
presently CentOS Linux release 7.8.2003 (Core)
 

floyd

Verified User
Joined
Mar 29, 2005
Messages
5,482
So what errors are you getting when you try to build php?
 

dmacleo

Verified User
Joined
Jun 21, 2012
Messages
650
none, they all compile. I just cannot (no matter what skin used) get the dual version option under domain settings anymore.
no idea why, have installed many times messing around never had issues before that I remember, was one when the option to show multiple in gui first came out but that was quickly fixed and never had this in the years been messing with it.
as can see here only one php option but 2 (right now, yesterday was 3 or 4) php versions compiled.
 

Attachments

dmacleo

Verified User
Joined
Jun 21, 2012
Messages
650
and now custombuild not showing in admin area. after upgrading DA to 1.613000 just now.
hmm gonna reboot vps and see I guess

yeah cb plugin shows installed but not in gui anymore the php issue been going on few weeks just never addressed this cb gui issue brand new right after update. vps reboot don't fix it. meh will reinstall and see why happening
 

dmacleo

Verified User
Joined
Jun 21, 2012
Messages
650
yeah I have many times. just odd wish I had access to cb version little older to see if its purely a fresh install issue.
and since DA update seems to have removed CB plugin from skin prob just gonna wipe vps start over, its what its there for.

edit: yeah skin issue for plugin itself. I dislike the new skin had been using older. swapping to new skin shows plugin but still don't fix the single php domain issue.
 
Last edited:

Wanabo

Verified User
Joined
Jan 19, 2013
Messages
218
Check options.conf for correct settings.

Code:
#PHP Settings
php1_release=7.3
php1_mode=php-fpm
php2_release=no
php2_mode=php-fpm
php3_release=no
php3_mode=php-fpm
php4_release=5.6
php4_mode=php-fpm
I had php4 set as last option intended to be a fall back option. I left php2,3 free to populate later with php 7.4 etc.
But that does not work, no php selector is shown. You must add sequential and cannot leave selectors in between empty.

Perhaps that's the case.
 

dmacleo

Verified User
Joined
Jun 21, 2012
Messages
650
checked it few times, changes it to try no help. present is this
#PHP Settings
php1_release=7.4
php1_mode=php-fpm
php2_release=5.6
php2_mode=php-fpm
php3_release=7.3
php3_mode=php-fpm
php4_release=7.0
php4_mode=php-fpm
 

bdacus01

Verified User
Joined
Jul 22, 2017
Messages
1,304
Location
Murfreesboro
Code:
cd /usr/local/directadmin/custombuild
./build version
Maybe like another post you are on old CB version?
 

bdacus01

Verified User
Joined
Jul 22, 2017
Messages
1,304
Location
Murfreesboro
Did you try updating the plugin
Code:
cd /usr/local/directadmin/custombuild
./build set_fastest
./build update
./build custombuild_plugin
 

dmacleo

Verified User
Joined
Jun 21, 2012
Messages
650
yeh its been updated going to rebuild vps from scratch and start over to see whre/why its happening.
 
Top